Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.nameWatch
Class EPPNameWatchRptTo

    java.lang.Object
      com.verisign.epp.codec.nameWatch.EPPNameWatchRptTo

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPNameWatchRptTo

extends java.lang.Object
implements EPPCodecComponent

Specifies the e-mail address to send the NameWatch reports and the frequency of the reports.

Version:
  $Revision: 1.1.1.1 $
Author:
  $Author: jim $
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `RPTTO_FREQ_DAILY` Daily Report Frequency
`static java.lang.String` | `RPTTO_FREQ_MONTHLY` Monthly Report Frequency
`static java.lang.String` | `RPTTO_FREQ_WEEKLY` Weekly Report Frequency

Constructor Summary
`EPPNameWatchRptTo()` `EPPNameWatchRptTo` default constructor.
`EPPNameWatchRptTo(java.lang.String aRptTo)` `EPPNameWatchRptTo` constructor that takes the nameWatch e-mail address to report to.
`EPPNameWatchRptTo(java.lang.String aFreqType, java.lang.String aRptTo)` `EPPNameWatchRptTo` constructor that takes the nameWatch frequency and namewatch e-mail address to report to.

Method Summary
`java.lang.Object` | `clone()` Clone `EPPNameWatchRptTo`.
`void` | `decode(org.w3c.dom.Element aElement)` Decode the EPPNameWatchRptTo attributes from the aElement DOM Element tree.
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the EPPNameWatchRptTo instance.
`boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPNameWatchRptTo` compare.
`java.lang.String` | `getFreqType()` Get nameWatch report frequency.
`java.lang.String` | `getRptTo()` Gets the email address to report to.
`boolean` | `isRptToUnspec()` Test whether the report to attribute is unspecified.
`void` | `setFreqType(java.lang.String newFreqType)` Sets the frequency of the report.
`void` | `setRptTo(java.lang.String newRptTo)` Sets the namewatch e-mail address to report to.
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RPTTO_FREQ_DAILY

    public static final java.lang.String RPTTO_FREQ_DAILY

  Daily Report Frequency

  See Also:
    Constant Field Values

### RPTTO_FREQ_WEEKLY

    public static final java.lang.String RPTTO_FREQ_WEEKLY

  Weekly Report Frequency

  See Also:
    Constant Field Values

### RPTTO_FREQ_MONTHLY

    public static final java.lang.String RPTTO_FREQ_MONTHLY

  Monthly Report Frequency

  See Also:
    Constant Field Values

Constructor Detail

### EPPNameWatchRptTo

    public EPPNameWatchRptTo()

  `EPPNameWatchRptTo` default constructor. The period is initialized to `unspecified`. The period must be set before invoking `encode`.

### EPPNameWatchRptTo

    public EPPNameWatchRptTo(java.lang.String aRptTo)

  `EPPNameWatchRptTo` constructor that takes the nameWatch e-mail address to report to. The frequency is set to `RPTTO_FREQ_DAILY`.

  Parameters:
    `aRptTo` - e-mail address to report to.

### EPPNameWatchRptTo

    public EPPNameWatchRptTo(java.lang.String aFreqType,
                             java.lang.String aRptTo)

  `EPPNameWatchRptTo` constructor that takes the nameWatch frequency and namewatch e-mail address to report to.

  Parameters:
    `aFreqType` - Report frequency, which should be one of the `RPTTO_FREQ_` constant values. If `null`, it will be set to `RPTTO_FREQ_DAILY` by default.
    `aRptTo` - E-mail address to report to.

Method Detail

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPNameWatchRptTo`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of `EPPNameWatchRptTo`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Decode the EPPNameWatchRptTo attributes from the aElement DOM Element tree.

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - - Root DOM Element to decode EPPNameWatchRptTo from.
  Throws:
    `EPPDecodeException` - Unable to decode aElement

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Encode a DOM Element tree from the attributes of the EPPNameWatchRptTo instance.

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - - DOM Document that is being built. Used as an Element factory.
  Returns:
    Element - Root DOM Element representing the EPPNameWatchRptTo instance.
  Throws:
    `EPPEncodeException` - - Unable to encode EPPNameWatchRptTo instance.

### equals

    public boolean equals(java.lang.Object aObject)

  implements a deep `EPPNameWatchRptTo` compare.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `aObject` - `EPPNameWatchRptTo` instance to compare with
  Returns:
    DOCUMENT ME!

### getRptTo

    public java.lang.String getRptTo()

  Gets the email address to report to.

  Returns:
    Report to e-mail address if defined; `null` otherwise.

### getFreqType

    public java.lang.String getFreqType()

  Get nameWatch report frequency.

  Returns:
    Report frequency, which should be one of the `RPTTO_FREQ_` constant values.

### isRptToUnspec

    public boolean isRptToUnspec()

  Test whether the report to attribute is unspecified.

  Returns:
    `true` is unspecified and `false` is specified.

### setRptTo

    public void setRptTo(java.lang.String newRptTo)
                  throws EPPCodecException

  Sets the namewatch e-mail address to report to.

  Parameters:
    `newRptTo` - e-mail address to report to
  Throws:
    `EPPCodecException` - Format error

### setFreqType

    public void setFreqType(java.lang.String newFreqType)

  Sets the frequency of the report.

  Parameters:
    `newFreqType` - Should be one of the `RPTTO_FREQ_` constant values.

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.